Subject: Re: CCL:CCL Using Linux

From: Arne Elofsson <[email-masked]>
Date: 16 Mar 1998 09:49:13 +0100

Jochen Buehler <[email-masked]> writes:

> --Multipart_Thu_Mar__5_14:16:51_1998-1
> Content-Type: text/plain; charset=US-ASCII
> 
> Igor J. Barani writes:
>  > Dear CCL Readers,
>  > 
>  > I have just recently installed Linux on a DEC Alpha and when I compile
>  > several programs in fortran on it, they seem to compile to twice the
>  > size and require 9 times as long to run than on DEC UNIX.  Do you have
>  > any idea why this may be so and how I may be able to speed up the
>  > processes?  Any suggestions would be greatly appreciated.  Thank you.
> 
> The standard gcc compiler as shipped with most Linux distributions
> is not optimized for Alpha chips. If you want better performance
> with fortran code you may want to have a look at egcs
> at http://www.cygnus.com/egcs .
> Egcs compiled binaries yield much better performance on Alphas.
> 

I guess you know that you can run OSF-binaries that are statically
linked (I think even dynamically linked in the 2.1.x development
kernel releases). So if you still have one OSF machine (with
compilers) you can compile there and run under linux for best
performance. 

arne 
---------------------------------------------------------------------------
              The more I use Windows, the more I love Linux
---------------------------------------------------------------------------
 Arne Elofsson     [email-masked] http://www.biokemi.su.se/~arne/
 Tel:+46(0)8-161553      Dept of Biochemistry, Stockholm University
 Fax:+46(0)8-153679	 10691 Stockholm, Sweden